using the createcellelement2 function the cell created as a scale of nothing.
I have tried this in V8 8.11.08.63 and Connect 10.16.01.56
the code:
Sub xxx()
Dim sc As ElementScanCriteria
Set sc = New ElementScanCriteria
sc.ExcludeAllTypes
sc.IncludeType msdElementTypeLine
Dim ee As ElementEnumerator
Set ee = ActiveModelReference.GraphicalElementCache.Scan(sc)
CadInputQueue.SendCommand ("ac=elStl")
Dim pScale As Point3d
pScale.X = 20
pScale.Y = 20
pScale.Z = 1
Dim n As Integer
n = 0
Debug.Print "wam"
CadInputQueue.SendCommand ("as=20")
Do While ee.MoveNext
Dim eL As LineElement
Set eL = ee.Current
Dim p() As Point3d
p = eL.GetVertices
Dim eC As CellElement
Set eC = CreateCellElement2("elstl", p(1), Point3dFromXYZ(20, 20, 1), False, Matrix3dZero)
ActiveModelReference.AddElement eC
ActiveModelReference.RemoveElement eL
n = n + 1
If (n Mod 20) = 0 Then
Debug.Print n
End If
Loop
MsgBox "placed " & n & " Cells"
End Sub